/**
 * The image controller
 * 
 * @param {$scope} $scope The $scope service from angular
 */
mainApp.controller('editImageCtrl', ['$scope', 'Image', 'Loading', 'Identity', 'upload', '$rootScope', function ($scope, Image, Loading, Identity, upload, $rootScope)
    {
        $scope.$on('editImageEvent', function (eventName, image, axioms) {
            $scope.image = image;
            $scope.data = {};
            $scope.data.id = image.id;

            $scope.data.name = image.name;
            $scope.data.visibility = image.visibility;
            $scope.data.protected = image.protected;

            $scope.axioms = axioms;
            $('#editImageModal').modal('show');
        });
        $scope.data = {};

        $scope.applyEdition = function (id) {
            Image.updateImage($scope.data, function () {
                $rootScope.$broadcast("updateImageEvent");
                $('#editImageModal').modal('hide');

            });

        };

        $scope.getToken = function () {
            return Identity.getToken();
        }
    }]);
